XmlResourceValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.resourceImport.XmlResourceValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.resourceImport
Class XmlResourceValue

    java.lang.Object
      org.hyperic.hq.bizapp.shared.resourceImport.XmlResourceValue

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XmlApplicationValue, XmlPlatformValue, XmlServerValue, XmlServiceValue

    public class XmlResourceValue

extends java.lang.Object

See Also:
  Serialized Form

Constructor Summary
`XmlResourceValue(java.lang.String[] required, java.lang.String[] optional)`

Method Summary
`XmlConfigInfo` | `getConfig(java.lang.String type)`
`XmlCustomPropsValue` | `getCustomProps()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLocation()`
`java.util.List` | `getMetricsToCollect()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlResourceValue

    public XmlResourceValue(java.lang.String[] required,
                            java.lang.String[] optional)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getDescription

    public java.lang.String getDescription()

### getLocation

    public java.lang.String getLocation()

### getCustomProps

    public XmlCustomPropsValue getCustomProps()

### getConfig

    public XmlConfigInfo getConfig(java.lang.String type)

### getMetricsToCollect

    public java.util.List getMetricsToCollect()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.